# coding: utf-8

from __future__ import absolute_import
from datetime import date, datetime  # noqa: F401

from typing import List, Dict  # noqa: F401

from swagger_server.models.base_model_ import Model
from swagger_server import util


class HookTrigger(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """

    def __init__(self, clicks: int=None, minutes: int=None):  # noqa: E501
        """HookTrigger - a model defined in Swagger

        :param clicks: The clicks of this HookTrigger.  # noqa: E501
        :type clicks: int
        :param minutes: The minutes of this HookTrigger.  # noqa: E501
        :type minutes: int
        """
        self.swagger_types = {
            'clicks': int,
            'minutes': int
        }

        self.attribute_map = {
            'clicks': 'clicks',
            'minutes': 'minutes'
        }

        self._clicks = clicks
        self._minutes = minutes

    @classmethod
    def from_dict(cls, dikt) -> 'HookTrigger':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The HookTrigger of this HookTrigger.  # noqa: E501
        :rtype: HookTrigger
        """
        return util.deserialize_model(dikt, cls)

    @property
    def clicks(self) -> int:
        """Gets the clicks of this HookTrigger.


        :return: The clicks of this HookTrigger.
        :rtype: int
        """
        return self._clicks

    @clicks.setter
    def clicks(self, clicks: int):
        """Sets the clicks of this HookTrigger.


        :param clicks: The clicks of this HookTrigger.
        :type clicks: int
        """

        self._clicks = clicks

    @property
    def minutes(self) -> int:
        """Gets the minutes of this HookTrigger.


        :return: The minutes of this HookTrigger.
        :rtype: int
        """
        return self._minutes

    @minutes.setter
    def minutes(self, minutes: int):
        """Sets the minutes of this HookTrigger.


        :param minutes: The minutes of this HookTrigger.
        :type minutes: int
        """

        self._minutes = minutes
